Documentación
Comunicaciones
Comunicaciones enviadas a residentes.
type: comunicacion EntitySet: Comunicaciones
Scopes
comunidesk:readcomunidesk:write
Endpoints
GET /v1/rest/Comunicaciones
Listar
Scopes: comunidesk:read
GET /v1/rest/Comunicaciones/{id}
Obtener por id
Scopes: comunidesk:read
POST /v1/rest/Comunicaciones
Crear
Scopes: comunidesk:write
PATCH /v1/rest/Comunicaciones/{id}
Actualizar
Scopes: comunidesk:write
Ejemplo de request
curl -X GET 'https://gateway.comunidesk.com/v1/rest/Comunicaciones' \
-H "Authorization: Bearer $OAUTH_TOKEN" \
-H "x-comunidesk-user-authorization: Bearer $USER_JWT"Campos de escritura
Campos aceptados en POST/PATCH.
| Campo | Tipo | Obligatorio | Enum |
|---|---|---|---|
| edificioId | string | Sí | |
| asunto | string | Sí | |
| cuerpo | string | Sí | |
| canal | string | No | email | push | sms | interno |
| destinatarios | array | No | |
| fechaEnvio | string | No |
Solo lectura: _id, _rev, type, createdAt, updatedAt
